<ui:composition xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="globalDiv">
        <h:form id="criteriaForm">
            <h1>#{messages['net.ihe.gazelle.xdstar.UnitTestLogs']}</h1>
            <gri:panel>
                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                    <s:token allowMultiplePosts="true"/>
                    <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
                    <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                                   value="#{managedBean.filter.urlParameters}"/>
                    <script>
                        updateUrl("criteriaForm:filterUrlParameters");
                        Event.observe("criteriaForm:filterUrlParameters", 'change',
                            function () {
                                updateUrl("criteriaForm:filterUrlParameters");
                            });
                    </script>
                    <p>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-horizontal">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filter" value="#{managedBean.filter}"/>
                                        <ui:param name="filterId" value="unitTest"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.vut.UnitTest']}"/>
                                        <ui:param name="filterForm" value="globalDiv"/>
                                    </ui:include>

                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filter" value="#{managedBean.filter}"/>
                                        <ui:param name="filterId" value="testedVersion"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.vut.TestedVersion']}"/>
                                        <ui:param name="filterForm" value="globalDiv"/>
                                    </ui:include>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-horizontal">
                                    <ui:include src="/filter/filter.xhtml">
                                        <ui:param name="filterWidth" value="240"/>
                                        <ui:param name="filter" value="#{managedBean.filter}"/>
                                        <ui:param name="filterId" value="result"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.vut.Status']}"/>
                                        <ui:param name="filterForm" value="globalDiv"/>
                                    </ui:include>

                                    <ui:include src="/filter/filterDate.xhtml">
                                        <ui:param name="filter" value="#{managedBean.filter}"/>
                                        <ui:param name="filterId" value="runDate"/>
                                        <ui:param name="filterName" value="#{messages['gazelle.vut.RunDate']}"/>
                                        <ui:param name="filterForm" value="globalDiv"/>
                                    </ui:include>
                                </div>
                            </div>
                        </div>
                    </p>
                    <ui:insert name="moreFilters"/>
                    <ui:define name="filter_buttons">
                        <a4j:commandLink title="#{messages['gazelle.common.button.Refresh']}"
                                         render="globalDiv">
                            <span class="fa fa-refresh"/>
                        </a4j:commandLink>
                        <a4j:commandLink title="#{messages['net.ihe.gazelle.xdstar.ResetFilter']}"
                                         actionListener="#{managedBean.reset()}"
                                         render="globalDiv">
                            <span class="fa fa-times-circle"/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
            </gri:panel>
        </h:form>
        <br/>
        <br/>

        <gri:panel>
            <f:facet name="header">
                <h:outputText value="#{messages['gazelle.vut.FilteredLogs']}"/>
            </f:facet>
            <h:form id="resultForm">
                #{dataTableStateHolder.setDescendingOn('runDate')}
                <rich:dataTable value="#{managedBean.getRuleUnitTestLogs()}" var="entry"
                                rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                id="unitTestTable" render="ds">
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.vut.TestKeyword']}</ui:define>
                        <g:link value="#{entry.unitTest}"/>
                    </g:column>
                    <ui:insert name="moreColumns"/>
                    <g:column sortOrder="#{datatablestateholder.sortorders['rundate']}" sortBy="#{'runDate'}">
                        <ui:define name="header">#{messages['gazelle.vut.RunDate']}</ui:define>
                        <g:date value="#{entry.runDate}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.vut.Status']}</ui:define>
                        <h:outputText value="#{utManagerBean.getSuccessLabel(entry.success)}"
                                      styleClass="#{utManagerBean.getSuccessStyle(entry.success)}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.vut.ReasonForFailure']}</ui:define>
                        <h:outputText value="#{entry.reasonForFailure}"/>
                    </g:column>
                    <g:column>
                        <ui:define name="header">#{messages['gazelle.vut.Actions']}</ui:define>
                        <a4j:commandLink oncomplete="jq162('#unitTestLogDetails').modal('show');"
                                         render="formut"
                                         actionListener="#{managedBean.setSelectedLog(entry)}">
                            <span class="fa fa-search text-info"></span>
                        </a4j:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="unitTestTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>
            </h:form>
        </gri:panel>
        <ui:include src="/unittesting/logDetails.xhtml"/>
    </s:div>
</ui:composition>
